import {
  a as p
} from "./chunk-BYYJ3QKW.js";
import {
  a,
  c as s
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/php-extras.js
var n = s((o, t) => {
  var i = p();
  t.exports = e;
  e.displayName = "phpExtras";
  e.aliases = [];
  function e(r) {
    r.register(i), r.languages.insertBefore("php", "variable", {
      this: {
        pattern: /\$this\b/,
        alias: "keyword"
      },
      global: /\$(?:GLOBALS|HTTP_RAW_POST_DATA|_(?:COOKIE|ENV|FILES|GET|POST|REQUEST|SERVER|SESSION)|argc|argv|http_response_header|php_errormsg)\b/,
      scope: {
        pattern: /\b[\w\\]+::/,
        inside: {
          keyword: /\b(?:parent|self|static)\b/,
          punctuation: /::|\\/
        }
      }
    });
  }
  a(e, "phpExtras");
});

export {
  n as a
};
